Subject: Nouvelle version de Musescore avec une nouvelle fonte musicale libre

From: Xavier Scheuer <[email-masked]>
Date: Fri, 22 Jan 2021 21:56:45 +0100

Bonjour à tous,

Je transmets ici une information qui a été communiquée sur la liste
anglophone : la nouvelle version 3.6 de Musescore (nos "collègues" libres
avec une interface graphique) s'est dotée d'une nouvelle fonte musicale.
https://musescore.org/fr/node/315533

Cette nouvelle fonte s'appelle Leland en hommage à Leland Smith, le
créateur de l'application SCORE et est disponible au format SMuFL sous
licence libre OFL.
Ils utilisent également une nouvelle fonte textuelle basée sur New Century
Schoolbook (également sous licence OFL).

Pour un rapide aperçu de ces fontes vous pouvez regarder la vidéo de
présentation de Musescore3.6 et pour une explication plus détaillée de
l'origine du design de la nouvelle fonte musicale la vidéo de Tantacrul
"How I Designed a Free Music Font for 5 Million Musicians (MuseScore 3.6)".
https://www.youtube.com/watch?v=qLR40BGNy68
https://www.youtube.com/watch?v=XGo4PJd1lng

Bref, de nombreuses raisons de se réjouir puisque cela pourra être
réutilisé (un jour) dans LilyPond.

Cordialement,
Xavier

-- 
Xavier Scheuer <[email-masked]>

---

From: Jean Abou Samra <[email-masked]>
Date: Fri, 29 Jan 2021 21:11:37 +0100

Le 22/01/2021 à 21:56, Xavier Scheuer a écrit :
> anglophone : la nouvelle version 3.6 de Musescore (nos "collègues" 
> libres avec une interface graphique) s'est dotée d'une nouvelle fonte 
> musicale.
> <https://musescore.org/fr/node/315533>
>
> Ils utilisent également une nouvelle fonte textuelle basée sur New 
> Century Schoolbook (également sous licence OFL).
>
> l'origine du design de la nouvelle fonte musicale la vidéo de 
> Tantacrul  "How I Designed a Free Music Font for 5 Million Musicians 
> (MuseScore 3.6)".
> <https://www.youtube.com/watch?v=qLR40BGNy68>
> <https://www.youtube.com/watch?v=XGo4PJd1lng>
>

Bonjour,

C'est une très bonne nouvelle.

Je ne suis pas sûr de comprendre ce dont vous voulez parler
pour LilyPond : rendre possible l'utilisation de cette police,
ou bien des améliorations à la fonte Emmentaler inspirées de
Leland ?

Dans le premier cas, cela pourrait devenir possible lorsque
le code écrit par Owen Lamb cet été dans le cadre du Google
Summer of Code sera intégré à la branche master (ce n'est
toujours pas fait, il me semble que quelques régressions
mineures traînaient dans les coins, il serait peut-être approprié
de demander où en est le projet sur la liste de développement).
LilyPond se dirige effectivement, comme les autres, vers le
standard SMuFL, pour l'instant principalement dans le sens de
rendre accessibles les fontes SMuFL externes à LilyPond.

En revanche, améliorer Emmentaler, je ne sais pas dans quelle
mesure c'est faisable. Elle est entièrement écrite en METAFONT,
ce qui permet la particularité de LilyPond, unique à ma connaissance,
que le niveau de graisse des glyphes augmente automatiquement
lorsque la taille de la portée est réduite. Pour passer un glyphe
de Leland à Emmentaler, il faudrait le recoder en METAFONT.

(Je parle, mais vous êtes peut-être un expert du sujet, désolé
si c'est le cas…)

Même si je suis un peu surpris du moteur d'espacement encore
embryonnaire (ils ajoutent l'espacement vertical automatique
entre les systèmes), c'est agréable de voir progresser un logiciel
libre pour la notation musicale accessible au large public qui ne
veut pas s'encombrer d'un logiciel puissant mais long à apprendre
comme LilyPond. Cette nouvelle version semble franchir une étape.

Cordialement,
Jean